<template>
    <div class="notif" :style="{borderRadius: `${borderRadius}px`, backgroundColor: bgColor, padding: padding}">
        {{text}}
    </div>
</template>

<script>
export default {
    props: {
        text: String,
        borderRadius: {
            type: Number,
            default: 12,
        },
        bgColor: {
            type: String,
            default: '#3FC61E'
        },
        width: {
            type: Number,
            default: 123,
        },
        padding: {
            type: String,
            default: '5px 20px 3px 20px'
        }
    }
}
</script>

<style scoped lang="scss">
.notif {
    color: #fff;
    display: inline-block;
    font-size: 10px;
    line-height: 12px;
    font-weight: 500;
}
</style>
